MetaSoul

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
UESIOJConvert Class Reference

`#include <ESIOJConvert.h>`

Inheritance diagram for UESIOJConvert:

## Static Public Member Functions
static FString | ToJsonString (const TSharedPtr< FJsonObject > &JsonObject)
static FString | ToJsonString (const TSharedPtr< FJsonValue > &JsonValue)
static FString | ToJsonString (const TArray< TSharedPtr< FJsonValue > > &JsonValueArray)
static TSharedPtr< FJsonObject > | ToJsonObject (const FString &JsonString)
static TSharedPtr< FJsonObject > | MakeJsonObject ()
static TSharedPtr< FJsonObject > | ToJsonObject (UStruct *Struct, void *StructPtr, bool IsBlueprintStruct=false, bool BinaryStructCppSupport=false)
static bool | JsonObjectToUStruct (TSharedPtr< FJsonObject > JsonObject, UStruct *Struct, void *StructPtr, bool IsBlueprintStruct=false, bool BinaryStructCppSupport=false)
static bool | JsonFileToUStruct (const FString &FilePath, UStruct *Struct, void *StructPtr, bool IsBlueprintStruct=false)
static bool | ToJsonFile (const FString &FilePath, UStruct *Struct, void *StructPtr, bool IsBlueprintStruct=false)
static class UESJsonValue * | ToEmoShapeJsonValue (const TArray< TSharedPtr< FJsonValue > > &JsonValueArray)
static TSharedPtr< FJsonValue > | ToJsonValue (const TSharedPtr< FJsonObject > &JsonObject)
static TSharedPtr< FJsonValue > | ToJsonValue (const FString &StringValue)
static TSharedPtr< FJsonValue > | ToJsonValue (double NumberValue)
static TSharedPtr< FJsonValue > | ToJsonValue (bool BoolValue)
static TSharedPtr< FJsonValue > | ToJsonValue (const TArray< uint8 > &BinaryValue)
static TSharedPtr< FJsonValue > | ToJsonValue (const TArray< TSharedPtr< FJsonValue > > &ArrayValue)
static TSharedPtr< FJsonValue > | JsonStringToJsonValue (const FString &JsonString)
static TArray< TSharedPtr< FJsonValue > > | JsonStringToJsonArray (const FString &JsonString)
static void | TrimValueKeyNames (const TSharedPtr< FJsonValue > &JsonValue)
static bool | TrimKey (const FString &InLongKey, FString &OutTrimmedKey)
static void | SetTrimmedKeyMapForStruct (TSharedPtr< FTrimmedKeyMap > &InMap, UStruct *Struct)
static void | SetTrimmedKeyMapForProp (TSharedPtr< FTrimmedKeyMap > &InMap, FProperty *ArrayInnerProp)
static void | ReplaceJsonValueNamesWithMap (TSharedPtr< FJsonValue > &InValue, TSharedPtr< FTrimmedKeyMap > KeyMap)
static FString | EnumToString (const FString &enumName, const int32 value)

## Member Function Documentation

## ◆ EnumToString()

FString UESIOJConvert::EnumToString | ( | const FString & | enumName,
|  | const int32 | value )
| static

## ◆ JsonFileToUStruct()

bool UESIOJConvert::JsonFileToUStruct | ( | const FString & | FilePath,
|  | UStruct * | Struct,
|  | void * | StructPtr,
|  | bool | IsBlueprintStruct = false )
| static

## ◆ JsonObjectToUStruct()

bool UESIOJConvert::JsonObjectToUStruct | ( | TSharedPtr< FJsonObject > | JsonObject,
|  | UStruct * | Struct,
|  | void * | StructPtr,
|  | bool | IsBlueprintStruct = false,
|  | bool | BinaryStructCppSupport = false )
| static

## ◆ JsonStringToJsonArray()

TArray< TSharedPtr< FJsonValue > > UESIOJConvert::JsonStringToJsonArray | ( | const FString & | JsonString | ) |
| static

## ◆ JsonStringToJsonValue()

TSharedPtr< FJsonValue > UESIOJConvert::JsonStringToJsonValue | ( | const FString & | JsonString | ) |
| static

## ◆ MakeJsonObject()

TSharedPtr< FJsonObject > UESIOJConvert::MakeJsonObject | ( |  | ) |
| static

## ◆ ReplaceJsonValueNamesWithMap()

void UESIOJConvert::ReplaceJsonValueNamesWithMap | ( | TSharedPtr< FJsonValue > & | InValue,
|  | TSharedPtr< FTrimmedKeyMap > | KeyMap )
| static

## ◆ SetTrimmedKeyMapForProp()

void UESIOJConvert::SetTrimmedKeyMapForProp | ( | TSharedPtr< FTrimmedKeyMap > & | InMap,
|  | FProperty * | ArrayInnerProp )
| static

## ◆ SetTrimmedKeyMapForStruct()

void UESIOJConvert::SetTrimmedKeyMapForStruct | ( | TSharedPtr< FTrimmedKeyMap > & | InMap,
|  | UStruct * | Struct )
| static

## ◆ ToEmoShapeJsonValue()

UESJsonValue * UESIOJConvert::ToEmoShapeJsonValue | ( | const TArray< TSharedPtr< FJsonValue > > & | JsonValueArray | ) |
| static

## ◆ ToJsonFile()

bool UESIOJConvert::ToJsonFile | ( | const FString & | FilePath,
|  | UStruct * | Struct,
|  | void * | StructPtr,
|  | bool | IsBlueprintStruct = false )
| static

## ◆ ToJsonObject() [1/2]

TSharedPtr< FJsonObject > UESIOJConvert::ToJsonObject | ( | const FString & | JsonString | ) |
| static

## ◆ ToJsonObject() [2/2]

TSharedPtr< FJsonObject > UESIOJConvert::ToJsonObject | ( | UStruct * | Struct,
|  | void * | StructPtr,
|  | bool | IsBlueprintStruct = false,
|  | bool | BinaryStructCppSupport = false )
| static

## ◆ ToJsonString() [1/3]

FString UESIOJConvert::ToJsonString | ( | const TArray< TSharedPtr< FJsonValue > > & | JsonValueArray | ) |
| static

## ◆ ToJsonString() [2/3]

FString UESIOJConvert::ToJsonString | ( | const TSharedPtr< FJsonObject > & | JsonObject | ) |
| static

## ◆ ToJsonString() [3/3]

FString UESIOJConvert::ToJsonString | ( | const TSharedPtr< FJsonValue > & | JsonValue | ) |
| static

## ◆ ToJsonValue() [1/6]

TSharedPtr< FJsonValue > UESIOJConvert::ToJsonValue | ( | bool | BoolValue | ) |
| static

## ◆ ToJsonValue() [2/6]

TSharedPtr< FJsonValue > UESIOJConvert::ToJsonValue | ( | const FString & | StringValue | ) |
| static

## ◆ ToJsonValue() [3/6]

TSharedPtr< FJsonValue > UESIOJConvert::ToJsonValue | ( | const TArray< TSharedPtr< FJsonValue > > & | ArrayValue | ) |
| static

## ◆ ToJsonValue() [4/6]

TSharedPtr< FJsonValue > UESIOJConvert::ToJsonValue | ( | const TArray< uint8 > & | BinaryValue | ) |
| static

## ◆ ToJsonValue() [5/6]

TSharedPtr< FJsonValue > UESIOJConvert::ToJsonValue | ( | const TSharedPtr< FJsonObject > & | JsonObject | ) |
| static

## ◆ ToJsonValue() [6/6]

TSharedPtr< FJsonValue > UESIOJConvert::ToJsonValue | ( | double | NumberValue | ) |
| static

## ◆ TrimKey()

bool UESIOJConvert::TrimKey | ( | const FString & | InLongKey,
|  | FString & | OutTrimmedKey )
| static

## ◆ TrimValueKeyNames()

void UESIOJConvert::TrimValueKeyNames | ( | const TSharedPtr< FJsonValue > & | JsonValue | ) |
| static

The documentation for this class was generated from the following files:

- EmoShapeJson/Public/ESIOJConvert.h
- EmoShapeJson/Private/ESIOJConvert.cpp